/*
 * Score.cpp
 *
 *  Created on: Feb 13, 2014
 *      Author: brian
 */

#include "Score.h"

Score::Score() {

}

void Score::update() {
	//int score = TheGame::Instance()->get
	m_num0.setCurrentFrame(m_score % 10);
	m_num0.update();

	if (m_score / 10 % 10 == 0 && m_score < 100) {
		m_num1.setActive(false);
	} else {
		m_num1.setActive(true);
		m_num1.setCurrentFrame(m_score / 10 % 10);
		m_num1.update();
	}

	if (m_score / 100 % 10 == 0 && m_score < 1000) {
		m_num2.setActive(false);
	} else {
		m_num2.setActive(true);
		m_num2.setCurrentFrame(m_score / 100 % 10);
		m_num2.update();
	}

	if (m_score / 100 % 100 == 0 && m_score < 10000) {
		m_num3.setActive(false);
	}else {
		m_num3.setActive(true);
		m_num3.setCurrentFrame(m_score / 1000 % 10);
		m_num3.update();
	}

}

void Score::load(int x, int y, int width, int height, std::string  textureID) {
	//GameObject::load(x,y,width,height,textureID);
	load(textureID);
}

void Score::load(std::string  textureID) {
	m_num0.load(580,5,32,32,textureID);
	m_num1.load(548,5,32,32,textureID);
	m_num2.load(516,5,32,32,textureID);
	m_num3.load(484,5,32,32,textureID);

}

void Score::draw(SDL_Renderer* pRenderer) {
	//GameObject::draw(pRenderer);
	m_num0.draw(pRenderer);
	m_num1.draw(pRenderer);
	m_num2.draw(pRenderer);
	m_num3.draw(pRenderer);
}

void Score::clean() {

}

